using System;
using Microsoft.SPOT;

namespace G2Tech.SharedContext
{
    /// <summary>
    /// Context Item
    /// </summary>
    public class ContextItem
    {        
        #region Properties
        
        /// <summary>
        /// Gets or Sets the context item name
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Gets or Sets the Value
        /// </summary>
        public object Value { get; set; }

        /// <summary>
        /// Last Update UTC
        /// </summary>
        public DateTime LastUpdate { get; set; }

        /// <summary>
        /// Gets or Sets the last source for this value
        /// </summary>
        public DeviceAddress Source { get; set; }

        #endregion
    }
}
