using System;

namespace G2Tech.SharedContext
{
    /// <summary>
    /// Device Address
    /// </summary>
    [Serializable]
    public class DeviceAddress
    {
        /// <summary>
        /// Gets or Sets the Device Unique Address.
        /// </summary>
        public Guid Address { get; set; }

        /// <summary>
        /// Gets or Sets the device Name
        /// </summary>
        public string Name { get; set; }

        public override string ToString()
        {
           return (Name != null ? Name : string.Empty);
        }
    }
}
