using System;

namespace G2Tech.SharedContext
{
    /// <summary>
    /// Link configuration
    /// </summary>
    public class SpanningTreeLinkCost
    {
        /// <summary>
        /// Node A
        /// </summary>
        public DeviceAddress NodeA { get; set; }

        /// <summary>
        /// Node B
        /// </summary>
        public DeviceAddress NodeB { get; set; }

        /// <summary>
        /// Link Cost
        /// </summary>
        public LinkCost Cost { get; set; }


        public override string ToString()
        {
            return (NodeA != null ? NodeA.ToString() : string.Empty) + " - " + (NodeB != null ? NodeB.ToString() : string.Empty) + " -- " + Cost.ToString();
        }
    }
}
