using System;
using Microsoft.SPOT;

namespace G2Tech.SharedContext
{
    public abstract class CommunicationChannelDelegates
    {
        /// <summary>
        /// Communication Channel ItemReceived EventHandler
        /// </summary>
        /// <param name="incomingChannel"></param>
        /// <param name="item"></param>
        public delegate void CommunicationChannelItemReceivedEventHandler(ICommunicationChannel incomingChannel, ContextItem item);
    }
}
